AU Immigration Card
curl --request POST \
--url https://{environment-subdomain}.idmetagroup.com/api/v3/verifications/australia/immigration \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"country_of_birth": "",
"dob": "",
"family_name": "",
"given_name": "",
"immigration_card_number": "",
"passport_number": "",
"trustFlowId": 0,
"trustValidationId": "{your_trust_validation_id}"
}
'import requests
url = "https://{environment-subdomain}.idmetagroup.com/api/v3/verifications/australia/immigration"
payload = {
"country_of_birth": "",
"dob": "",
"family_name": "",
"given_name": "",
"immigration_card_number": "",
"passport_number": "",
"trustFlowId": 0,
"trustValidationId": "{your_trust_validation_id}"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
country_of_birth: '',
dob: '',
family_name: '',
given_name: '',
immigration_card_number: '',
passport_number: '',
trustFlowId: 0,
trustValidationId: '{your_trust_validation_id}'
})
};
fetch('https://{environment-subdomain}.idmetagroup.com/api/v3/verifications/australia/immigration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{environment-subdomain}.idmetagroup.com/api/v3/verifications/australia/immigration",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'country_of_birth' => '',
'dob' => '',
'family_name' => '',
'given_name' => '',
'immigration_card_number' => '',
'passport_number' => '',
'trustFlowId' => 0,
'trustValidationId' => '{your_trust_validation_id}'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{environment-subdomain}.idmetagroup.com/api/v3/verifications/australia/immigration"
payload := strings.NewReader("{\n \"country_of_birth\": \"\",\n \"dob\": \"\",\n \"family_name\": \"\",\n \"given_name\": \"\",\n \"immigration_card_number\": \"\",\n \"passport_number\": \"\",\n \"trustFlowId\": 0,\n \"trustValidationId\": \"{your_trust_validation_id}\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{environment-subdomain}.idmetagroup.com/api/v3/verifications/australia/immigration")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"country_of_birth\": \"\",\n \"dob\": \"\",\n \"family_name\": \"\",\n \"given_name\": \"\",\n \"immigration_card_number\": \"\",\n \"passport_number\": \"\",\n \"trustFlowId\": 0,\n \"trustValidationId\": \"{your_trust_validation_id}\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{environment-subdomain}.idmetagroup.com/api/v3/verifications/australia/immigration")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"country_of_birth\": \"\",\n \"dob\": \"\",\n \"family_name\": \"\",\n \"given_name\": \"\",\n \"immigration_card_number\": \"\",\n \"passport_number\": \"\",\n \"trustFlowId\": 0,\n \"trustValidationId\": \"{your_trust_validation_id}\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"message": "Australia Immigration Card processed successfully",
"data": {
"isValid": true
},
"verificationStatus": "VERIFIED",
"verificationStatusCode": 3,
"trustFlowId": 0,
"trustValidationId": "{your_trust_validation_id}",
"verificationType": "australia_immigration",
"metadata": {
"user_id": "12345",
"reference": "IMMI-VERIFY-001"
}
}Australia
Immigration Card
Validate Australian immigration status against government systems.
POST
/
api
/
v3
/
verifications
/
australia
/
immigration
AU Immigration Card
curl --request POST \
--url https://{environment-subdomain}.idmetagroup.com/api/v3/verifications/australia/immigration \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"country_of_birth": "",
"dob": "",
"family_name": "",
"given_name": "",
"immigration_card_number": "",
"passport_number": "",
"trustFlowId": 0,
"trustValidationId": "{your_trust_validation_id}"
}
'import requests
url = "https://{environment-subdomain}.idmetagroup.com/api/v3/verifications/australia/immigration"
payload = {
"country_of_birth": "",
"dob": "",
"family_name": "",
"given_name": "",
"immigration_card_number": "",
"passport_number": "",
"trustFlowId": 0,
"trustValidationId": "{your_trust_validation_id}"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
country_of_birth: '',
dob: '',
family_name: '',
given_name: '',
immigration_card_number: '',
passport_number: '',
trustFlowId: 0,
trustValidationId: '{your_trust_validation_id}'
})
};
fetch('https://{environment-subdomain}.idmetagroup.com/api/v3/verifications/australia/immigration', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://{environment-subdomain}.idmetagroup.com/api/v3/verifications/australia/immigration",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'country_of_birth' => '',
'dob' => '',
'family_name' => '',
'given_name' => '',
'immigration_card_number' => '',
'passport_number' => '',
'trustFlowId' => 0,
'trustValidationId' => '{your_trust_validation_id}'
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://{environment-subdomain}.idmetagroup.com/api/v3/verifications/australia/immigration"
payload := strings.NewReader("{\n \"country_of_birth\": \"\",\n \"dob\": \"\",\n \"family_name\": \"\",\n \"given_name\": \"\",\n \"immigration_card_number\": \"\",\n \"passport_number\": \"\",\n \"trustFlowId\": 0,\n \"trustValidationId\": \"{your_trust_validation_id}\"\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://{environment-subdomain}.idmetagroup.com/api/v3/verifications/australia/immigration")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"country_of_birth\": \"\",\n \"dob\": \"\",\n \"family_name\": \"\",\n \"given_name\": \"\",\n \"immigration_card_number\": \"\",\n \"passport_number\": \"\",\n \"trustFlowId\": 0,\n \"trustValidationId\": \"{your_trust_validation_id}\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://{environment-subdomain}.idmetagroup.com/api/v3/verifications/australia/immigration")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"country_of_birth\": \"\",\n \"dob\": \"\",\n \"family_name\": \"\",\n \"given_name\": \"\",\n \"immigration_card_number\": \"\",\n \"passport_number\": \"\",\n \"trustFlowId\": 0,\n \"trustValidationId\": \"{your_trust_validation_id}\"\n}"
response = http.request(request)
puts response.read_body{
"success": true,
"message": "Australia Immigration Card processed successfully",
"data": {
"isValid": true
},
"verificationStatus": "VERIFIED",
"verificationStatusCode": 3,
"trustFlowId": 0,
"trustValidationId": "{your_trust_validation_id}",
"verificationType": "australia_immigration",
"metadata": {
"user_id": "12345",
"reference": "IMMI-VERIFY-001"
}
}Authorizations
Use Bearer {your_api_token} in the Authorization header.
Body
application/json
Country where the individual was born.
Date of birth of the individual in YYYY-MM-DD format.
Last name of the individual.
First name of the individual.
Immigration card number if applicable.
Passport number of the individual.
Identifier used to categorize or group requests for tracking or reporting.
A unique ID used to identify your verification request.
Visa expiry date in YYYY-MM-DD format.
Grant number of the issued visa.
Response
200 - application/json
AU immigration card verification processed successfully

